sjlog using data, replace
use jasa2
tsset id year
sjlog close, replace

sjlog using pmg, replace
xtpmg d.c d.pi d.y if year>=1962, lr(l.c pi y) ec(ec) full pmg
sjlog close, replace

sjlog using income, replace
test [ec]y=1
sjlog close, replace

sjlog using predict, replace
predict dc111 if id==111, eq(id_111)
sjlog close, replace

sjlog using test, replace
test [id_111]ec=[id_112]ec=0
sjlog close, replace

sjlog using mge, replace
xtpmg d.c d.pi d.y if year>=1962, lr(l.c pi y) ec(ec) replace pmg
sjlog close, replace

sjlog using mg, replace
xtpmg d.c d.pi d.y if year>=1962, lr(l.c pi y) ec(ec) replace mg
sjlog close, replace

sjlog using dfe,replace
xtpmg d.c d.pi d.y if year>=1962, lr(l.c pi y) ec(ec) replace dfe cluster(id)
sjlog close, replace

sjlog using hauspmg, replace
hausman mg pmg, sigmamore
sjlog close, replace

sjlog using hausdfe, replace
hausman mg DFE, sigmamore
sjlog close, replace

sjlog type pmg.smcl, replace
sjlog type predict.smcl, replace
sjlog type test.smcl, replace
sjlog type mge.smcl, replace
sjlog type mg.smcl, replace
sjlog type dfe.smcl, replace
sjlog type hauspmg.smcl, replace
sjlog type hausdfe.smcl, replace
